Share via


Update Runs - Put

Put Update runs for a specified update

PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.AzureStackHCI/clusters/{clusterName}/updates/{updateName}/updateRuns/{updateRunName}?api-version=2024-04-01

URI Parameters

Name In Required Type Description
clusterName
path True

string

The name of the cluster.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

The name of the resource group. The name is case insensitive.

subscriptionId
path True

string

minLength: 1

The ID of the target subscription.

updateName
path True

string

The name of the Update

updateRunName
path True

string

The name of the Update Run

api-version
query True

string

minLength: 1

The API version to use for this operation.

Request Body

Name Type Description
location

string

The geo-location where the resource lives

properties.duration

string

Duration of the update run.

properties.lastUpdatedTime

string (date-time)

Timestamp of the most recently completed step in the update run.

properties.progress.description

string

More detailed description of the step.

properties.progress.endTimeUtc

string (date-time)

When the step reached a terminal state.

properties.progress.errorMessage

string

Error message, specified if the step is in a failed state.

properties.progress.expectedExecutionTime

string

Expected execution time of a given step. This is optionally authored in the update action plan and can be empty.

properties.progress.lastUpdatedTimeUtc

string (date-time)

Completion time of this step or the last completed sub-step.

properties.progress.name

string

Name of the step.

properties.progress.startTimeUtc

string (date-time)

When the step started, or empty if it has not started executing.

properties.progress.status

string

Status of the step, bubbled up from the ECE action plan for installation attempts. Values are: 'Success', 'Error', 'InProgress', and 'Unknown status'.

properties.progress.steps

Step[]

Recursive model for child steps of this step.

properties.state

updateRunPropertiesState

State of the update run.

properties.timeStarted

string (date-time)

Timestamp of the update run was started.

Responses

Name Type Description
200 OK

UpdateRun

OK

Other Status Codes

ErrorResponse

Error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

Get Update runs under cluster resource

Sample request

PUT https://management.azure.com/subscriptions/b8d594e5-51f3-4c11-9c54-a7771b81c712/resourceGroups/testrg/providers/Microsoft.AzureStackHCI/clusters/testcluster/updates/Microsoft4.2203.2.32/updateRuns/23b779ba-0d52-4a80-8571-45ca74664ec3?api-version=2024-04-01

{
  "properties": {
    "progress": {
      "name": "Unnamed step",
      "description": "Update Azure Stack.",
      "errorMessage": "",
      "status": "Success",
      "startTimeUtc": "2022-04-06T01:36:33.3876751+00:00",
      "endTimeUtc": "2022-04-06T13:58:42.969006+00:00",
      "lastUpdatedTimeUtc": "2022-04-06T13:58:42.969006+00:00",
      "steps": [
        {
          "name": "PreUpdate Cloud",
          "description": "Prepare for SSU update",
          "errorMessage": "",
          "status": "Success",
          "startTimeUtc": "2022-04-06T01:36:33.3876751+00:00",
          "endTimeUtc": "2022-04-06T01:37:16.8728314+00:00",
          "lastUpdatedTimeUtc": "2022-04-06T01:37:16.8728314+00:00",
          "steps": []
        }
      ]
    }
  }
}

Sample response

{
  "id": "/subscriptions/b8d594e5-51f3-4c11-9c54-a7771b81c712/resourceGroups/testrg/providers/Microsoft.AzureStackHCI/clusters/testcluster/updates/Microsoft4.2203.2.32/updateRuns/23b779ba-0d52-4a80-8571-45ca74664ec3",
  "name": "Microsoft4.2203.2.32/23b779ba-0d52-4a80-8571-45ca74664ec3",
  "type": "Microsoft.AzureStackHCI/updates/updateRuns",
  "location": "West US",
  "properties": {
    "progress": {
      "name": "Unnamed step",
      "description": "Update Azure Stack.",
      "errorMessage": "",
      "status": "Success",
      "startTimeUtc": "2022-04-06T01:36:33.3876751+00:00",
      "endTimeUtc": "2022-04-06T13:58:42.969006+00:00",
      "lastUpdatedTimeUtc": "2022-04-06T13:58:42.969006+00:00",
      "steps": [
        {
          "name": "PreUpdate Cloud",
          "description": "Prepare for SSU update",
          "errorMessage": "",
          "status": "Success",
          "startTimeUtc": "2022-04-06T01:36:33.3876751+00:00",
          "endTimeUtc": "2022-04-06T01:37:16.8728314+00:00",
          "lastUpdatedTimeUtc": "2022-04-06T01:37:16.8728314+00:00",
          "steps": []
        }
      ]
    }
  }
}

Definitions

Name Description
createdByType

The type of identity that created the resource.

ErrorAdditionalInfo

The resource management error additional info.

ErrorDetail

The error detail.

ErrorResponse

Error response

ProvisioningState

Provisioning state of the UpdateRuns proxy resource.

Step

Progress representation of the update run steps.

systemData

Metadata pertaining to creation and last modification of the resource.

UpdateRun

Details of an Update run

updateRunPropertiesState

State of the update run.

createdByType

The type of identity that created the resource.

Value Description
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

The resource management error additional info.

Name Type Description
info

object

The additional info.

type

string

The additional info type.

ErrorDetail

The error detail.

Name Type Description
additionalInfo

ErrorAdditionalInfo[]

The error additional info.

code

string

The error code.

details

ErrorDetail[]

The error details.

message

string

The error message.

target

string

The error target.

ErrorResponse

Error response

Name Type Description
error

ErrorDetail

The error object.

ProvisioningState

Provisioning state of the UpdateRuns proxy resource.

Value Description
Succeeded
Failed
Canceled
Accepted
Provisioning

Step

Progress representation of the update run steps.

Name Type Description
description

string

More detailed description of the step.

endTimeUtc

string (date-time)

When the step reached a terminal state.

errorMessage

string

Error message, specified if the step is in a failed state.

expectedExecutionTime

string

Expected execution time of a given step. This is optionally authored in the update action plan and can be empty.

lastUpdatedTimeUtc

string (date-time)

Completion time of this step or the last completed sub-step.

name

string

Name of the step.

startTimeUtc

string (date-time)

When the step started, or empty if it has not started executing.

status

string

Status of the step, bubbled up from the ECE action plan for installation attempts. Values are: 'Success', 'Error', 'InProgress', and 'Unknown status'.

steps

Step[]

Recursive model for child steps of this step.

systemData

Metadata pertaining to creation and last modification of the resource.

Name Type Description
createdAt

string (date-time)

The timestamp of resource creation (UTC).

createdBy

string

The identity that created the resource.

createdByType

createdByType

The type of identity that created the resource.

lastModifiedAt

string (date-time)

The timestamp of resource last modification (UTC)

lastModifiedBy

string

The identity that last modified the resource.

lastModifiedByType

createdByType

The type of identity that last modified the resource.

UpdateRun

Details of an Update run

Name Type Description
id

string

Fully qualified resource ID for the resource. Ex - /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}

location

string

The geo-location where the resource lives

name

string

The name of the resource

properties.duration

string

Duration of the update run.

properties.lastUpdatedTime

string (date-time)

Timestamp of the most recently completed step in the update run.

properties.progress.description

string

More detailed description of the step.

properties.progress.endTimeUtc

string (date-time)

When the step reached a terminal state.

properties.progress.errorMessage

string

Error message, specified if the step is in a failed state.

properties.progress.expectedExecutionTime

string

Expected execution time of a given step. This is optionally authored in the update action plan and can be empty.

properties.progress.lastUpdatedTimeUtc

string (date-time)

Completion time of this step or the last completed sub-step.

properties.progress.name

string

Name of the step.

properties.progress.startTimeUtc

string (date-time)

When the step started, or empty if it has not started executing.

properties.progress.status

string

Status of the step, bubbled up from the ECE action plan for installation attempts. Values are: 'Success', 'Error', 'InProgress', and 'Unknown status'.

properties.progress.steps

Step[]

Recursive model for child steps of this step.

properties.provisioningState

ProvisioningState

Provisioning state of the UpdateRuns proxy resource.

properties.state

updateRunPropertiesState

State of the update run.

properties.timeStarted

string (date-time)

Timestamp of the update run was started.

systemData

systemData

Azure Resource Manager metadata containing createdBy and modifiedBy information.

type

string

The type of the resource. E.g. "Microsoft.Compute/virtualMachines" or "Microsoft.Storage/storageAccounts"

updateRunPropertiesState

State of the update run.

Value Description
Unknown
Succeeded
InProgress
Failed